karashchuk.com » Бібліотека Знань » FreeBSD » freebsd configure: error: Please ensure the argon2 header and library are installed

FreeBSD : freebsd configure: error: Please ensure the argon2 header and library are installed


Знадобилось встановити PHP 7.2 на тестовий FreeBSD сервер, але зіткнувся з невеличкою помилкою, і якщо Ви отримуєте наступну помилку

freebsd configure: error: Please ensure the argon2 header and library are installed




То Вам лише потрібно припинити встановлювати що Ви встановлюєте :) та перейти до /usr/ports/security/libargon2 та перевстановити цю бібліотеку. Нагадаю що ліпше це зробити так
# cd usr/ports/security/libargon2
/usr/ports/security/libargon2# make deinstall
/usr/ports/security/libargon2# make install


Вы только посетили наш сайт, КОММЕНТИРОВАНИЕ будет доступно через несколько минут.
возможно у Вас отключен javascript, если включен - просто обновите страницу